Skip to main content
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
jobs
/
{jobUid}
/
termBases
/
createByJob
Create term in job's term bases
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/termBases/createByJob \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sourceTerm": {
    "text": "<string>",
    "caseSensitive": true,
    "exactMatch": true,
    "forbidden": true,
    "note": "<string>",
    "preferred": true,
    "shortTranslation": "<string>",
    "usage": "<string>"
  },
  "targetTerm": {
    "text": "<string>",
    "caseSensitive": true,
    "exactMatch": true,
    "forbidden": true,
    "note": "<string>",
    "preferred": true,
    "shortTranslation": "<string>",
    "usage": "<string>"
  }
}
'
import requests

url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/termBases/createByJob"

payload = {
"sourceTerm": {
"text": "<string>",
"caseSensitive": True,
"exactMatch": True,
"forbidden": True,
"note": "<string>",
"preferred": True,
"shortTranslation": "<string>",
"usage": "<string>"
},
"targetTerm": {
"text": "<string>",
"caseSensitive": True,
"exactMatch": True,
"forbidden": True,
"note": "<string>",
"preferred": True,
"shortTranslation": "<string>",
"usage": "<string>"
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sourceTerm: {
text: '<string>',
caseSensitive: true,
exactMatch: true,
forbidden: true,
note: '<string>',
preferred: true,
shortTranslation: '<string>',
usage: '<string>'
},
targetTerm: {
text: '<string>',
caseSensitive: true,
exactMatch: true,
forbidden: true,
note: '<string>',
preferred: true,
shortTranslation: '<string>',
usage: '<string>'
}
})
};

fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/termBases/createByJob', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "sourceTerm": {
    "text": "<string>",
    "caseSensitive": true,
    "conceptId": "<string>",
    "conceptNote": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "createdBy": {
      "email": "<string>",
      "firstName": "<string>",
      "id": "<string>",
      "lastName": "<string>",
      "uid": "<string>",
      "userName": "<string>"
    },
    "customFields": [
      {
        "fieldName": "<string>",
        "value": {}
      }
    ],
    "definition": "<string>",
    "domain": "<string>",
    "exactMatch": true,
    "forbidden": true,
    "gender": "<string>",
    "id": "<string>",
    "lang": "<string>",
    "modifiedAt": "2023-11-07T05:31:56Z",
    "modifiedBy": {
      "email": "<string>",
      "firstName": "<string>",
      "id": "<string>",
      "lastName": "<string>",
      "uid": "<string>",
      "userName": "<string>"
    },
    "note": "<string>",
    "number": "<string>",
    "partOfSpeech": "<string>",
    "preferred": true,
    "rtl": true,
    "shortTranslation": "<string>",
    "subDomains": [
      "<string>"
    ],
    "termType": "<string>",
    "url": "<string>",
    "usage": "<string>",
    "writable": true
  },
  "targetTerm": {
    "text": "<string>",
    "caseSensitive": true,
    "conceptId": "<string>",
    "conceptNote": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "createdBy": {
      "email": "<string>",
      "firstName": "<string>",
      "id": "<string>",
      "lastName": "<string>",
      "uid": "<string>",
      "userName": "<string>"
    },
    "customFields": [
      {
        "fieldName": "<string>",
        "value": {}
      }
    ],
    "definition": "<string>",
    "domain": "<string>",
    "exactMatch": true,
    "forbidden": true,
    "gender": "<string>",
    "id": "<string>",
    "lang": "<string>",
    "modifiedAt": "2023-11-07T05:31:56Z",
    "modifiedBy": {
      "email": "<string>",
      "firstName": "<string>",
      "id": "<string>",
      "lastName": "<string>",
      "uid": "<string>",
      "userName": "<string>"
    },
    "note": "<string>",
    "number": "<string>",
    "partOfSpeech": "<string>",
    "preferred": true,
    "rtl": true,
    "shortTranslation": "<string>",
    "subDomains": [
      "<string>"
    ],
    "termType": "<string>",
    "url": "<string>",
    "usage": "<string>",
    "writable": true
  }
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

jobUid
string
required

Job UID

projectUid
string
required

Project UID

Body

application/json
sourceTerm
object
required
targetTerm
object
required

Response

OK

sourceTerm
object
required
targetTerm
object
required